Page MenuHomePhabricator

Create a Phabricator form for New Notification types creation request
Closed, DeclinedPublic

Description

@Trizek-WMF Below please find my effort at creating a "form" that can be used in Phabricator so that people can supply the information necessary to create a new notification. It's intended to guide people on all the points they need to think through. It will also help us review people's ideas and QA them when the time comes.

For clarity, I added a filled-in version of the form below the empty one. Including such an example is probably a good idea, so people can see what we're looking for.

Finally, it's necessary to put virtually all of the items inside the brackets here onto the glossary you're creating. You could literally make each of these bracketed items a link. Clicking on these links would explain, for example, what the difference is between the header and the body, or what would determine whether a message should be bundled or not.

BASIC INFORMATION

  • [notification name] :
  • [what triggers notification?] :
  • ["Notice" or "Alert"?] :
  • [will this be a bundled notification?] :

    WORDING

    [single message]
  • [header] :
  • [body] :

    [Bundled Messages]
  • [main, bundling message] :
  • [subsidiary, bundled message] :

    LINKS
  • [primary link target] :
  • [primary link label] :
  • [#1 secondary link target :
  • [#1 secondary link label] :

[EXAMPLE OF FILLED OUT FORM]

BASIC INFORMATION

  • [notification name] : flow-post-reply
  • [what triggers notification?]] : someone posts in a Flow topic you are watching
  • ["Notice" or "Alert"?]] : Notice
  • [will this be a bundled notification?]] : yes

    WORDING

    [single message]
  • [header] : Username replied in "Topicname".
  • [body] : Excerpt of the message.

    [Bundled Messages]
  • [main, bundling message] : 5 new replies in "Topicname".
  • [subsidiary, bundled message] : Username: "Excerpt of the message..."

    LINKS
  • [primary link target] : The "reply" (i.e. the new post)]
  • [primary link label] : View message
  • [#1 secondary link target] : the user page of the user who did the action
  • [#1 secondary link label] : the username of the user who did the action

Note about forms on Phabricator: here is the doc.

Event Timeline

jmatazzoni closed this task as Resolved.Oct 3 2016, 9:27 PM
jmatazzoni claimed this task.

@Trizek-WMF marking as closed. Let me know if you think there's more to do.

@jmatazzoni: As this was resolved, what is the URL of that Phabricator form?

@Trizek-WMF marking as closed. Let me know if you think there's more to do.

I would say create the Phrabricator form itself :)

Trizek-WMF reopened this task as Open.Oct 5 2016, 2:50 PM

Oh, right, in Phabricator. I was thinking what we had on the wiki was sufficient. Where would one save a Phabricator form? How is that made available?

Qgil added a subscriber: Qgil.Oct 5 2016, 8:21 PM

Isn't a Phabricator form a bit of an overkill here? Do you expect frequent requests?

Isn't a Phabricator form a bit of an overkill here? Do you expect frequent requests?

Agreed. Whilst there are likely to be a dozen or so new types requested, I think the onwiki docs are sufficient. That also prevents cluttering the phab interface with more options.

Aklapper closed this task as Declined.Oct 6 2016, 8:09 AM

Ah cool. CLosing as declined then. Thanks everybody!

Oh, right, in Phabricator. I was thinking what we had on the wiki was sufficient. Where would one save a Phabricator form? How is that made available?

Ah, "a form that can be used on Phabricator" in that sense. Okay, I've misunderstood it.